import { Connection, Transaction } from '@solana/web3.js';
import { MetaplexPlugin, Cluster } from './types';
import { TransactionBuilder } from './utils';
export declare type MetaplexOptions = {
    cluster?: Cluster;
    onSignature?: (signature: string) => Promise<void>;
};
export declare class Metaplex {
    /** The connection object from Solana's SDK. */
    readonly connection: Connection;
    /** The cluster in which the connection endpoint belongs to. */
    readonly cluster: Cluster;
    /** Callback when signature is generated */
    readonly onSignature?: (signature: string, transaction: Transaction | TransactionBuilder) => Promise<void>;
    constructor(connection: Connection, options?: MetaplexOptions);
    static make(connection: Connection, options?: MetaplexOptions): Metaplex;
    use(plugin: MetaplexPlugin): this;
}
